//importing functions and methods from d3 and topojson
import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';
const svg = select('svg');
//using geoNaturalEarth1 function to get the world map on output
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);
//defined class as sphere by appending path to SVG
svg.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));
//inputting the json url to get the world map on output
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
    const countries = feature(data, data.objects.countries);
  	//selecting all elements which match to the specified string 
    svg.selectAll('path').data(countries.features)
  		//defining enter function to append path and create connection of data to elements
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });